summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2015-09-03 10:45:24 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2015-09-03 10:45:24 +0200
commit6a027881c0a971bca7603cdd4916c14289bf8ed7 (patch)
treea1eac4d129dd334466af65f65c8f7b71af0d923d /x11-plugins
parentx11-libs/gdk-pixbuf: x86 stable wrt bug #556314 (diff)
downloadgentoo-6a027881c0a971bca7603cdd4916c14289bf8ed7.tar.gz
gentoo-6a027881c0a971bca7603cdd4916c14289bf8ed7.tar.bz2
gentoo-6a027881c0a971bca7603cdd4916c14289bf8ed7.zip
x11-plugins/wmbattery: version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'x11-plugins')
-rw-r--r--x11-plugins/wmbattery/Manifest1
-rw-r--r--x11-plugins/wmbattery/wmbattery-2.50.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/x11-plugins/wmbattery/Manifest b/x11-plugins/wmbattery/Manifest
index f50acf6b114..e7c3841f9e1 100644
--- a/x11-plugins/wmbattery/Manifest
+++ b/x11-plugins/wmbattery/Manifest
@@ -1,3 +1,4 @@
DIST wmbattery-2.48.tar.gz 41301 SHA256 874d62c209efd98471b72ef2756d608a957d5106cbf92a6761985a934008661a SHA512 d1ce3824557d34104087abf77262d46ce603d204332eb585c2fec3777abaa4c8d796787fd8f9b8b9c9b583d01f561f98f57dcdb21db22e9d92b27905627053b3 WHIRLPOOL cf113d45f6232031d72a44dbd6cda3cf6db8dabba91d525943139397058a7070149daf29a41e3f434643f09953351c0e05414f4592f0e731da5261fa2ef616d3
DIST wmbattery-2.49.tar.gz 40810 SHA256 3fdb024179409056c14c6906e218736d7464824ad102721c53d6450d5535935f SHA512 4f146d6bb9374c81bbbb3568b0b1fc12a585efac317ea6f144a750437115f3b09ffe46cd2d3b2405007456a5eea254ce634d8de445195e56cfb7be11a042a1ec WHIRLPOOL 7797716bed44c4fd631a6722d93ee5d53dbd9771e7db15336328e8a2fc7c07a6fc3452a94c62ce0a54e4275f4474ebb1cebad1ce83202ccc019a257e6664ed00
+DIST wmbattery-2.50.tar.gz 40938 SHA256 6179f33911ae642835c9ec456b422d5c72ffb74d7fcca2a70fa5f23929fa04d5 SHA512 f96b98d2819a9ecf189b9ebc60c107abc6715cf76bb73c98f1d3649dd2ef6112e052559f13fc5620ec7d71466f2e4d6a5e7e86b0f5f0675e02d6e038a9411794 WHIRLPOOL 6735904c44a2e5c67998c0b11ea422d8a9a14956739f7b9eefe75de1f1a7fe9cf8b22dd7684756520c0c223cfdd93cd548f3ef5013d52941cf3c9a698c48e0bc
DIST wmbattery_2.44.tar.gz 39278 SHA256 aa0a1312922ba4f0abca5f2e8abbf285363bf4a1c8862d89fe2921e74c832cae SHA512 ce6eb3a7b9028d8923d920fe831203a9bd0c2cd3a02df0cf5074296d55dcace9750edfd8237faa9397003ed97b0305ef8e91d029261593a54269c17d0b7b3717 WHIRLPOOL cae6d6027f8bafa1966ab6b7d377fa817e767e23726e907932f7da74e46a081729568df069df5d1f01b7f7e06740bfcb8cab90ac4ba10e93b3e09fe04cba5e1a
diff --git a/x11-plugins/wmbattery/wmbattery-2.50.ebuild b/x11-plugins/wmbattery/wmbattery-2.50.ebuild
new file mode 100644
index 00000000000..6c156a95d3c
--- /dev/null
+++ b/x11-plugins/wmbattery/wmbattery-2.50.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools
+
+DESCRIPTION="A dockable app to report APM, ACPI, or SPIC battery status"
+HOMEPAGE="http://windowmaker.org/dockapps/?name=wmbattery"
+# Grab from http://windowmaker.org/dockapps/?download=${P}.tar.gz
+SRC_URI="https://dev.gentoo.org/~voyageur/distfiles/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc -sparc ~x86"
+IUSE="apm +upower"
+
+RDEPEND="apm? ( sys-apps/apmd )
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm
+ upower? ( || ( >=sys-power/upower-0.9.23 sys-power/upower-pm-utils ) )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( ChangeLog README TODO )
+
+src_prepare() {
+ sed -i \
+ -e '/^icondir/s:icons:pixmaps:' \
+ autoconf/makeinfo.in || die
+
+ use upower || { sed -i -e 's:USE_UPOWER = 1:#&:' autoconf/makeinfo.in || die; }
+
+ eautoreconf
+}